OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | List of all members
Grid< _TreeType >::ValueConverter< OtherValueType > Struct Template Reference

ValueConverter<T>::Type is the type of a grid having the same hierarchy as this grid but a different value type, T. More...

`#include <openvdb/Grid.h>`

## Public Types
using | Type = Grid< typename TreeType::template ValueConverter< OtherValueType >::Type >

## Detailed Description

template<typename _TreeType>
template<typename OtherValueType>
struct openvdb::v11_0::Grid< _TreeType >::ValueConverter< OtherValueType >

ValueConverter<T>::Type is the type of a grid having the same hierarchy as this grid but a different value type, T.

For example, FloatGrid::ValueConverter<double>::Type is equivalent to DoubleGrid.

Note
  If the source grid type is a template argument, it might be necessary to write "typename SourceGrid::template ValueConverter<T>::Type".

## Member Typedef Documentation

## ◆ Type

template<typename _TreeType >
template<typename OtherValueType >

using Type = Grid<typename TreeType::template ValueConverter<OtherValueType>::Type>